# $Revision: 1.34 $, $Date: 2011/05/27 19:28:43 $
Summary:	Startup Notification Library
Summary(pl.UTF-8):	Biblioteka Startup Notification
Name:		startup-notification
Version:	0.12
Release:	1
Group:		X11/Libraries
# most of the code is on MIT license, only sn-util.c contains LGPL-licensed GLib code
License:	LGPL v2+
Source0:	http://freedesktop.org/software/startup-notification/releases/%{name}-%{version}.tar.gz
# Source0-md5:	2cd77326d4dcaed9a5a23a1232fb38e9
URL:		http://startup-notification.freedesktop.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7
BuildRequires:	libtool
BuildRequires:	libxcb-devel >= 1.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	xcb-util-devel >= 0.3.8
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Startup Notification Library implements a mechanism allowing a
desktop environment to track application startup, to provide user
feedback and other features.

%description -l pl.UTF-8
Biblioteka Startup Notification jest implementacją mechanizmu
pozwalającego środowisku graficznemu na śledzenie uruchamiania
aplikacji, dostarczanie odpowiedzi użytkownika oraz inne rzeczy.

%package devel
Summary:	Startup Notification Library development files
Summary(pl.UTF-8):	Pliki programistyczne biblioteki Startup Notification
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxcb-devel >= 1.6
Requires:	xcb-util-devel >= 0.3.8
Requires:	xorg-lib-libX11-devel

%description devel
Startup Notification Library development files.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki Startup Notification.

%package static
Summary:	Static Startup Notification Library library
Summary(pl.UTF-8):	Statyczna biblioteka Startup Notification
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Startup Notification Library library.

%description static -l pl.UTF-8
Statyczna biblioteka Startup Notification.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/libstartup-notification-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libstartup-notification-1.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/startup-notification.txt
%attr(755,root,root) %{_libdir}/libstartup-notification-1.so
%{_libdir}/libstartup-notification-1.la
%{_includedir}/startup-notification-1.0
%{_pkgconfigdir}/libstartup-notification-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libstartup-notification-1.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: startup-notification.spec,v $
Revision 1.34  2011/05/27 19:28:43  qboosh
- updated to 0.12 (ABI compatibility fix)

Revision 1.33  2011/05/09 17:48:19  qboosh
- updated to 0.11
- removed obsolete link patch
- use joint xcb-util library (>= 0.3.8)

Revision 1.32  2010/11/18 12:59:44  hawk
- release 2

Revision 1.31  2010/05/23 05:40:09  qboosh
- BR: pkgconfig
- -devel R: xcb-util-devel

Revision 1.30  2009/10/24 12:21:55  sls
- BR: xcb-util-devel >= 0.3.1

Revision 1.29  2009/05/26 16:47:53  pawelz
- up to 0.10
- new Source0 URL
- new URL
- BR: libxcb-devel
- BR: xcb-util-devel

Revision 1.28  2008/11/06 19:20:25  megabajt
- release 3

Revision 1.27  2007/11/01 16:38:48  qboosh
- added X11 to Groups (it relies on libX11)
- revised docs packaging (included NEWS, removed empty README)
- more verbose files
- clarified License

Revision 1.26  2007/09/03 15:01:23  baggins
- rel 2

Revision 1.25  2007/03/17 22:23:47  qboosh
- fixed Source0 URL

Revision 1.24  2007/03/17 22:19:10  megabajt
- updated to 0.9

Revision 1.23  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.21  2006/11/26 16:24:34  megabajt
- release 5 (rebuild with P: *.la)

Revision 1.20  2006/03/05 19:54:41  qboosh
- added link patch to avoid unnecessary libSM dependency

Revision 1.19  2006/02/17 21:31:28  wolf
- xorg modular deps, rel 4

Revision 1.18  2006/01/22 19:52:18  freetz
- rel.3 for th

Revision 1.17  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.16  2005/04/10 17:31:53  freetz
- new style macros, rel.2

Revision 1.15  2005/03/26 22:40:14  qboosh
- gpm-friendly Source0 URL

Revision 1.14  2005/02/02 17:14:10  grzegol
- updated to 0.8

Revision 1.13  2004/07/09 14:39:18  jpc
- xlibs bcond

Revision 1.12  2004/06/26 16:28:35  aflinta
- up to version 0.7

Revision 1.11  2004/04/02 12:51:01  grzegol
- updated to 0.6
- added BR: automake
- -devel R: XFree86-devel
- strict internal deps

Revision 1.10  2004/01/05 01:42:06  undefine
- release 2

Revision 1.9  2003/12/29 19:21:34  undefine
- copy config.sub to allow build on amd64

Revision 1.8  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.7  2003/05/25 06:27:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/08 11:18:39  qboosh
- use ldconfig to create SONAME symlink

Revision 1.5  2003/03/13 16:31:16  qboosh
- description based on doc/startup-notification.txt

Revision 1.4  2003/01/22 06:45:40  aflinta
- updated to version 0.5

Revision 1.3  2002/12/10 17:43:47  wrobell
- adapterized

Revision 1.2  2002/12/10 17:42:50  wrobell
- more pldization

Revision 1.1  2002/12/10 08:45:28  aflinta
- initial release
